import QtQuick 2.8
import QtQuick.Layouts 1.5

//import org.kde.plasma.plasmoid 2.0
import org.kde.plasma.core 2.1 as PlasmaCore
import org.kde.plasma.components 2.0 as PlasmaComponents

Item {
    id: item
    anchors.leftMargin:5
    anchors.topMargin:5
    anchors.rightMargin:5
    anchors.bottomMargin:5

    signal clicked

    property Item highlight
    property alias text: label.text

    Layout.fillWidth: true
    height: row.height
    
    highlight: Rectangle {
            color:  PlasmaCore.Theme.linkColor
            opacity:.65
            radius:8
            z:-11
    }

    MouseArea {
        id: area
        anchors.fill: parent
        hoverEnabled: true
       // highlight: "steelblue"
        //highlightFollowsCurrentItem: false
        onClicked: item.clicked()
        // detect the mouse on the item
        onContainsMouseChanged: {
            
            if (!highlight) {
                return
            }
            
            if (area.containsMouse) {
                highlight.parent = item
                highlight.width = item.width
                highlight.height = item.height
                highlight
            }
            // if the mouse is in the area, the condition will return a bool "true" to >> highlight.visible
            highlight.visible = area.containsMouse
        }
    }

    RowLayout {
        id: row

        // set space before the text item with a empty icon
        Item {
            id: emptySpace
            Layout.minimumWidth: 1 * units.gridUnit
            Layout.maximumWidth: 1 * units.gridUnit
        }

        Item {
            height: 24
            PlasmaComponents.Label {
                id: label
                anchors.fill: parent
            }
        }
    }
}
 
